Panda3D

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
ObjectPaletteBase Class Reference
Inheritance diagram for ObjectPaletteBase:

## Public Member Functions
| __init__ (self)
| add (self, item, parentName=None)
| addHidden (self, item)
| delete (self, name)
| deleteStruct (self, name, deleteItems)
| findChildren (self, name)
| findItem (self, name)
| insertItem (self, item, parentName)
| populate (self)
| populateSystemObjs (self)
| rename (self, oldName, newName)

## Public Attributes
dict | data = {}
list | dataKeys = []
dict | dataStruct = {}
str | rootName = '_root'

## Detailed Description

    Base class for objectPalette

    You should write your own ObjectPalette class inheriting this.
    Refer ObjectPalette.py for example.

## Constructor & Destructor Documentation

## ◆ __init__()

__init__ | ( |  | self | ) |

## Member Function Documentation

## ◆ add()

add | ( |  | self,
|  |  | item,
|  |  | parentName = None )

## ◆ addHidden()

addHidden | ( |  | self,
|  |  | item )

## ◆ delete()

delete | ( |  | self,
|  |  | name )

## ◆ deleteStruct()

deleteStruct | ( |  | self,
|  |  | name,
|  |  | deleteItems )

## ◆ findChildren()

findChildren | ( |  | self,
|  |  | name )

## ◆ findItem()

findItem | ( |  | self,
|  |  | name )

## ◆ insertItem()

insertItem | ( |  | self,
|  |  | item,
|  |  | parentName )

    You can insert item to obj palette tree.

    'item' is the object to be inserted, it can be either a group or obj.
    'parentName' is the name of parent under where this item will be inserted.

## ◆ populate()

populate | ( |  | self | ) |

Reimplemented in ObjectPalette, and ProtoPaletteBase.

## ◆ populateSystemObjs()

populateSystemObjs | ( |  | self | ) |

## ◆ rename()

rename | ( |  | self,
|  |  | oldName,
|  |  | newName )

## Member Data Documentation

## ◆ data

data = {}

## ◆ dataKeys

list dataKeys = []

## ◆ dataStruct

dict dataStruct = {}

## ◆ rootName

str rootName = '_root'